%define intver 3090
Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	A FITS File Subroutine Library
Name:		cfitsio
Version:	3.090
Release:	1
License:	NASA
URL:		http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
Group:		System/Libraries
Source0:	%{name}%{intver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	compat-gcc-34-g77

%description
CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format. CFITSIO provides simple high-level routines for reading and writing FITS files that insulate the programmer from the internal complexities of the FITS format. CFITSIO also provides many advanced features for manipulating and filtering the information in FITS files. 

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/*.a

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_pkgconfig}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.090-1
- initial CCux package release
